> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List form elements

> Retrieve all available form element types and their configurations within the user's organization context.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.json get /form-elements
openapi: 3.0.3
info:
  title: Erguvan Public API
  version: 1.0.0
servers:
  - url: https://app.azalt.co/api/v1
security: []
paths:
  /form-elements:
    get:
      tags:
        - FormElement
      summary: List form elements
      description: >-
        Retrieve all available form element types and their configurations
        within the user's organization context.
      operationId: listFormElements
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    key:
                      type: string
                    id:
                      type: string
                    formId:
                      type: string
                    formName:
                      type: string
                    type:
                      type: string
                      enum:
                        - NUMBER
                        - ACTIVITY
                        - SHORT_TEXT
                        - LONG_TEXT
                        - SINGLE_CHOICE
                        - MULTIPLE_CHOICE
                        - FILE_UPLOAD
                        - IMAGE
                        - GROUP
                        - PAGE
                        - TITLE
                        - PARAGRAPH
                        - DIVIDER
                    period:
                      type: string
                      enum:
                        - MONTHLY
                        - QUARTERLY
                        - YEARLY
                        - TIMESTAMP
                    unitId:
                      type: string
                      nullable: true
                    unitName:
                      type: string
                      nullable: true
                    metadata:
                      type: object
                      additionalProperties:
                        anyOf:
                          - type: string
                          - type: boolean
                    activityDefinitionId:
                      type: string
                      nullable: true
                    activityMetadataSchema:
                      type: object
                      nullable: true
                      additionalProperties: {}
                    activityInputs:
                      type: array
                      nullable: true
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          type:
                            type: string
                        required:
                          - name
                          - type
                  required:
                    - key
                    - id
                    - formId
                    - formName
                    - type
                    - period
                    - unitId
                    - unitName
                    - metadata
                    - activityDefinitionId
                    - activityMetadataSchema
                    - activityInputs
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````